if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[OnlineRoomTypesImagesXTab]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[OnlineRoomTypesImagesXTab](
		[OnlineRoomTypeNumber] int NOT NULL,
		[ImageName] VARCHAR(255) NOT NULL
	
	CONSTRAINT [PK_OnlineRoomTypesImagesXTab_1] PRIMARY KEY CLUSTERED 
	(
		[OnlineRoomTypeNumber], [ImageName] ASC
	)
)

	ALTER TABLE [dbo].[OnlineRoomTypesImagesXTab]  WITH NOCHECK ADD  CONSTRAINT [FK_OnlineRoomTypesImages_OnlineRoomTypes] FOREIGN KEY([OnlineRoomTypeNumber])
	REFERENCES [dbo].[OnlineRoomTypes] ([OnlineRoomTypeNumber])

	ALTER TABLE [dbo].[OnlineRoomTypesImagesXTab] CHECK CONSTRAINT [FK_OnlineRoomTypesImages_OnlineRoomTypes]

END


